SNDFILE-RESAMPLE(1)

NAME
sndfile-resample - sample rate converter

SYNOPSIS
sndfile-resample [-c number] -to rate input output
sndfile-resample [-c number] -by ratio input output

DESCRIPTION
sndfile-resample is a sample rate converter using libsndfile for file I/O and Secret Rabbit Code (aka libsamplerate) for performing the conversion. It works on any file format supported by libsndfile with any number of channels (limited only by host memory).

The options are as follows:

-c number
    Choose the converter type from the following list:
    0   Best Sinc Interpolator
    1   Medium Sinc Interpolator (default)
    2   Fastest Sinc Interpolator
    3   ZOH Interpolator
    4   Linear Interpolator

-to rate
    Convert to the specified sample rate.

-by ratio
    Change the sample rate by the given ratio, which can be any positive real; the resulting rate is floored to an integer. For instance, changing the rate of 44100 by a factor of 1.3333 results in a sample rate of 58798.

--no-normalize
    Disable clipping check and normalization.

SEE ALSO
http://www.mega-nerd.com/libsndfile/ http://www.mega-nerd.com/libsamplerate/

AUTHORS
Erik de Castro Lopo <erikd@mega-nerd.com>